net.minecraft.client.renderer.texture

## Class TextureManager

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureManager

-     public class TextureManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Texture` | `createEmptyTexture(String par1Str, int par2, int par3, int par4, int par5)`
    `List` | `createNewTexture(String textureName, String textureFile, TextureStitched stitched)`
    `Stitcher` | `createStitcher(String par1Str)`
    `List` | `createTexture(String par1Str)`
    `int` | `getNextTextureId()`
    `static void` | `init()`
    `static TextureManager` | `instance()`
    `Texture` | `makeTexture(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, boolean par9, BufferedImage par10BufferedImage)`
    `void` | `registerTexture(String par1Str, Texture par2Texture)`
    `void` | `registerTexture(Texture par1Texture)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureManager

          public TextureManager()

  - ### Method Detail

    - #### init

          public static void init()

    - #### instance

          public static TextureManager instance()

    - #### getNextTextureId

          public int getNextTextureId()

    - #### registerTexture

          public void registerTexture(String par1Str,
                             Texture par2Texture)

    - #### registerTexture

          public void registerTexture(Texture par1Texture)

    - #### createStitcher

          public Stitcher createStitcher(String par1Str)

    - #### createTexture

          public List createTexture(String par1Str)

    - #### createNewTexture

          public List createNewTexture(String textureName,
                              String textureFile,
                              TextureStitched stitched)

    - #### makeTexture

          public Texture makeTexture(String par1Str,
                            int par2,
                            int par3,
                            int par4,
                            int par5,
                            int par6,
                            int par7,
                            int par8,
                            boolean par9,
                            BufferedImage par10BufferedImage)

    - #### createEmptyTexture

          public Texture createEmptyTexture(String par1Str,
                                   int par2,
                                   int par3,
                                   int par4,
                                   int par5)